<template>
  <v-col cols="12" md="4">
    <div id="restaurantCard" class="md:flex">
      <nuxt-link :to="'/restaurant/' + restaurant._id">
        <div id="restaurantImage" class="md:flex-shrink-0">
          <v-img
            class="rounded-lg md:w-56"
            :src="restaurant.img"
            :alt="restaurant.name"
          />
        </div>
      </nuxt-link>
      <div id="restaurantInformation" class="mt-4 md:mt-0 md:ml-6">
        <div class="uppercase tracking-wide text-sm text-indigo-600 font-bold">
          {{ restaurant.name }}
        </div>
        <p class="mt-2 text-gray-600">
          {{ restaurant.description }}
        </p>
      </div>
    </div>
  </v-col>
</template>

<script>
export default {
  name: 'RestaurantCard',
  props: {
    restaurant: {
      type: Object,
      required: true,
    },
  },
}
</script>
